## org.apache.ivy.osgi.obr.filter
Class MultiOperatorFilter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementFilter
          org.apache.ivy.osgi.obr.filter.MultiOperatorFilter

Direct Known Subclasses:
  AndFilter, OrFilter

    public abstract class MultiOperatorFilter

extends RequirementFilter

Constructor Summary
`MultiOperatorFilter()`
`MultiOperatorFilter(RequirementFilter[] filters)`

Method Summary
`void` `add(RequirementFilter subFilter2)`
`void` `append(java.lang.StringBuffer builder)`
`boolean` `equals(java.lang.Object obj)`
`java.util.List` `getSubFilters()`
`int` `hashCode()`
`protected abstract char` `operator()`

Methods inherited from class org.apache.ivy.osgi.obr.xml.RequirementFilter
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiOperatorFilter

    public MultiOperatorFilter()

### MultiOperatorFilter

    public MultiOperatorFilter(RequirementFilter[] filters)

Method Detail

### operator

    protected abstract char operator()

### append

    public void append(java.lang.StringBuffer builder)

  Specified by:
    `append` in class `RequirementFilter`

### add

    public void add(RequirementFilter subFilter2)

### getSubFilters

    public java.util.List getSubFilters()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`